Profiles
All profiles the API key can access, oldest first. Filter by externalId to find the profile of one of your customers.
Requires profiles:read.
Authorization
bearerAuth AuthorizationBearer <token>
API key starting with fh_
In: header
Query Parameters
externalId?string
Your own id for this object, e.g. your customer id. Unique per organization
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://feedhorizon.com/api/v1/profiles"{
"data": [
{
"id": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
"name": "Soup Club",
"color": "#f5d76e",
"timezone": "Europe/Berlin",
"isDefault": true,
"queueEnabled": true,
"externalId": "cus_1042",
"createdAt": "2026-11-10T08:00:00.000Z",
"updatedAt": "2026-11-10T08:00:00.000Z"
}
],
"nextCursor": "string"
}{
"error": {
"type": "invalid_request_error",
"code": "validation_failed",
"message": "One or more fields are invalid, see details",
"docUrl": "https://feedhorizon.com/docs/api/errors#invalid_request_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "No Authorization: Bearer header",
"docUrl": "https://feedhorizon.com/docs/api/errors#authentication_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "permission_error",
"code": "insufficient_scope",
"message": "The key lacks the scope for this endpoint",
"docUrl": "https://feedhorizon.com/docs/api/errors#permission_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests. Wait the seconds in Retry-After",
"docUrl": "https://feedhorizon.com/docs/api/errors#rate_limit_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "Something failed on our side. Retry with backoff, using the same Idempotency-Key for writes",
"docUrl": "https://feedhorizon.com/docs/api/errors#api_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}